package gsmAlarm;

/**
 *  .  ,    
 *  65,   .
 * @author dvk
 */

public class Indicator extends Thread
{
	boolean bTerminateThread = false;
	int LEDMask = 0xaa55aa55;
	int IOPin = 0;
	Tc65Io tc65io;
	Tc65SerialPort serial;
	
	/**
	 *   
	 * @param tc65io - 
	 * @param pin - ,    
	 */
	Indicator(Tc65Io tc65io, int pin, Tc65SerialPort tc65SerialPort)
	{
		this.tc65io = tc65io;
		serial = tc65SerialPort;
		IOPin = pin;
	}
	/**
	 *  ,    .  
	 *     . ..    00000, 
	 *   ,  0xffff -   , 0xf0f0 - 
	 *     (150*8)*2 .
	 * @param NewMask
	 */
	public void SetMask(int NewMask)
	{
		LEDMask = NewMask;
	}
	
	public void run()
	{
		int mask = LEDMask;
		int count = 0;
		boolean lastIO = false;
//		serial.serialOut("Indicator::run()\n\r");
		try 
		{
			while(bTerminateThread == false)
			{
				boolean newIO = ((mask & 1) != 0);
				if(newIO != lastIO)  //     -
					tc65io.outIo(IOPin,  newIO);
				lastIO = newIO;
				sleep(150);
				
//				serial.serialOut("i");
				mask >>=1;
				count++;
				
				if(count >= 15) //   
				{
					mask = LEDMask;
					count = 0;
				}
			}
		} 
		catch (InterruptedException e) 
		{
			// 
		}

	}
}
