package gsmAlarm;

import com.siemens.icm.io.ATCommandListener;

/*
 *      -, 
 *  .
 */

public class MyATCommandListener implements ATCommandListener
{
	String strATCommand;
	Tc65SerialPort tc65SerialPort;
	boolean HasNewEvent = false;
	boolean ProcessIo = false;
	Tc65Io tc65Io; //        
	
	public MyATCommandListener(boolean bProcessIo, Tc65Io tc65Io, Tc65SerialPort tc65SerialPort)
	{
		this.tc65Io = tc65Io;
		this.tc65SerialPort = tc65SerialPort;
		ProcessIo = bProcessIo;
	}
	
	public boolean hasNewEvent()
	{
		if(HasNewEvent)
		{
			HasNewEvent = false; // 
			return true;
		}
		return false;
	}
	
	public void RINGChanged(boolean ring)
	{
	//    ,        .
	}
	
	public void ATEvent(String str)
	{
//		tc65SerialPort.serialOut("URC: "+str+"\n\r");
		//   
		if(str.indexOf("^SCPOL:") != -1)
		{
			if(ProcessIo)
				tc65Io.OnReceiveSCPOL(str);
			return;
		}
		//     
		strATCommand = str;
		HasNewEvent = true;
	}
	
	public void CONNChanged(boolean ring)
	{
		//    ,        .
	}
	public void DSRChanged(boolean ring)
	{
		//    ,        .
	}
	public void DCDChanged(boolean ring)
	{
		//    ,        .
	}
}
